Retrieve a published HTML block document
curl --request GET \
--url https://app.myhero.so/published/media/html/{publishedId}/{htmlId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/published/media/html/{publishedId}/{htmlId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/published/media/html/{publishedId}/{htmlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"html": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Published
Retrieve a published HTML block document
Returns, as JSON, the HTML of an HTML block on the published document publishedId.
Verifies the HTML belongs to that document and that the document is currently published.
GET
/
published
/
media
/
html
/
{publishedId}
/
{htmlId}
Retrieve a published HTML block document
